Last Comment Bug 520563 - Selector namespace support should not special-case the xml and xmlns prefixes
: Selector namespace support should not special-case the xml and xmlns prefixes
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.9.3a1
Assigned To: Boris Zbarsky [:bz] (still a bit busy)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-05 09:09 PDT by Boris Zbarsky [:bz] (still a bit busy)
Modified: 2009-10-29 18:54 PDT (History)
3 users (show)
bzbarsky: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Possible fix (4.52 KB, patch)
2009-10-05 10:13 PDT, Boris Zbarsky [:bz] (still a bit busy)
dbaron: review+
jonas: review+
Details | Diff | Splinter Review

Description Boris Zbarsky [:bz] (still a bit busy) 2009-10-05 09:09:32 PDT
As the summary says.  Tests + patch coming up.
Comment 1 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2009-10-05 09:38:18 PDT
Presumably this applies to all CSS namespace support:  in selectors and attr().
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2009-10-05 10:13:29 PDT
Created attachment 404637 [details] [diff] [review]
Possible fix

This works, bug given that CSS is the only consumer, should we just rename, move, and simplify the class (e.g. to never insert xml and xmlns)?
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2009-10-05 13:27:03 PDT
> Presumably this applies to all CSS namespace support:  in selectors and attr().

Yes, it does.
Comment 4 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2009-10-23 20:31:33 PDT
Comment on attachment 404637 [details] [diff] [review]
Possible fix

r=dbaron
Comment 5 Boris Zbarsky [:bz] (still a bit busy) 2009-10-29 18:54:54 PDT
Pushed http://hg.mozilla.org/mozilla-central/rev/48c4226236eb

Note You need to log in before you can comment on or make changes to this bug.